#include <avr/io.h>
#include <avr/interrupt.h>


//  
#define AllModes		0x03
#define WaitMode		0x00
#define AlarmMode		0x01


#define GreenLedOn() PORTE |= 0x08
#define GreenLedOff() PORTE &=~ 0x08
#define GreenLedTogle() PORTE ^= 0x08

#define RedLedOn() PORTE |= 0x20
#define RedLedOff() PORTE &=~ 0x20
#define RedLedTogle() PORTE ^= 0x20

#define OrangeLedOn() PORTE |= 0x28
#define OrangeOff() PORTE &=~ 0x28
#define OrangeTogle() PORTE ^= 0x28

#define Relay1On() PORTE |= 0x10
#define Relay1Off() PORTE &=~ 0x10

#define SensorPowerOn() PORTB |= 0x01
#define SensorPowerOff() PORTB &=~ 0x01



ISR(TIMER1_CAPT_vect) 
{
 GreenLedOff();
}


//#pragma interrupt_handler timer1_compa_isr:13
ISR(TIMER1_COMPA_vect)
{
 GreenLedOn();
}


void init_devices(void)				//  
{
 cli();

 //  
 PORTF = 0b00000000;
 DDRF =  0b00000000;

 PORTE = 0b01000011;
 DDRE =  0b00111100;

 PORTD = 0b11101111;
 DDRD =  0b00011011;

 PORTC = 0b11111111;				//   
 DDRC =  0b00000000;

 PORTB = 0b11111011;	// 0b11111001 
 DDRB =  0b00010111;

 PORTA = 0b11111111;				//   
 DDRA =  0b00000000;

 TCCR1B = 0x00; //stop
 TCNT1H = 0x00; //setup
 TCNT1L = 0x00;
 OCR1AH = 0x52;
 OCR1AL = 0x65;
 OCR1BH = 0xFF;
 OCR1BL = 0xFF;
 OCR1CH = 0xFF;
 OCR1CL = 0xFF;
 ICR1H  = 0x5B;
 ICR1L  = 0x8C;
 TCCR1A = 0x00;
 TCCR1B = (1<<WGM13)|(1<<WGM12);//0x1D; start Timer


 //     
 MCUCR = 0;
 EICRB = 0;		
 TIMSK = 0x30;		
 EIMSK = 0;

 sei();
}



int main(void)
{
 init_devices();									//  
 
 GreenLedOn();
 
 do
 {
  asm volatile ("nop");
 }while(1);

}
